function gen_fig2()
%GEN_FIG2()

%% group psd plots
gen_psd_plots();

repeated_color = [0 0 0];
original_color = [169 83 255]/255;
updated_color = [5 178 65]/255;

% retrieval, pre

% novelty, post
matfile = 'novelty.mat';
pos_color = updated_color;
neg_color = repeated_color;
plot_post(matfile, pos_color, neg_color);

%% retrieval, pre
matfile = 'retrieval.mat';
pos_color = original_color;
neg_color = updated_color;
plot_pre(matfile, pos_color, neg_color);


end

function cfg = mscript_tfplot(matfile, xtl, pos_color, neg_color, itcflag, alpha, time)
%MSCRIPT_TFPLOT plots a modified time-frequency plot

if ~exist('itcflag','var')
    itcflag = true;
end

% xtl = [-600 -400 -200 0];
% xtl = [0 200 400 600];

if itcflag
    load(matfile,'hc_itc_stats');
    stats = hc_itc_stats;
else
    load(matfile,'hc_pow_stats');
    stats = hc_pow_stats;
end

if ~exist('alpha','var')
    alpha = 0.05;
end
stats.mask = stats.prob < alpha;

if exist('time','var')
    stats.time = time;
end

cfg              = [];
cfg.title        = '';
cfg.maskstyle    = 'opacity';
cfg.maskalpha    = .2;
cfg.fontsize = 16;
cfg.zlim = 'maxabs';
cfg.channel      = stats.label{1};
cfg.interactive  = 'no';
cfg.maskparameter = 'mask';
cfg.verbose = 0;

fig('FontSize',16,'Font','Arial','border','on','units','centimeters','width',12);

ax1 = gca;

if ~isfield(stats, 'powspctrm')
    stats.powspctrm = stats.stat;
end
% 
freqs = 1:length(stats.freq);
of = stats.freq;
stats.freq = freqs;

cfg = ft_singleplotTFR(cfg, stats);

yt = [1:6:length(freqs) length(freqs)]; %get(gca,'YTick');
set(gca,'YTick',yt);
% set(gca,'YTickLabel', round(of(yt)));
set(gca,'YTickLabel',sprintf('%0.1f\n',of(yt)));
% lazy kludge
if ~exist('time','var')
    set(gca,'XTickLabel',xtl);
end
% set(gca,'CLim',[-.06 .06]);

ylabel('Frequency (Hz)');
xlabel('Time (ms)');

title('');
% hc = colorbar; ylabel(hc,'\DeltaITC');
cm = create_cluster_cmap(pos_color, neg_color);
colormap(cm);
hold on;
x = get(gca,'XTick');
x = x(xtl==0);
hl = line([x x], get(gca,'YLim'));
hl.Color = 'k'; hl.LineWidth=2; hl.LineStyle = '--';

end

function cmap = create_cluster_cmap(pos_color, neg_color)

x = [linspace(pos_color(1),1,64) linspace(1,neg_color(1),64)];
y = [linspace(pos_color(2),1,64) linspace(1,neg_color(2),64)];
z = [linspace(pos_color(3),1,64) linspace(1,neg_color(3),64)];

cmap = flipud([x; y; z]');

end


function plot_pre(matfile, pos_color, neg_color)

xtl = [-600 -400 -200 0];
mscript_tfplot(matfile, ...
               xtl, ...
               pos_color, ...
               neg_color, ...
               true, ...
               .05, ...
               -750:2:50);

end

function plot_post(matfile, pos_color, neg_color)

xtl = [0 200 400 600];
mscript_tfplot(matfile, ...
               xtl, ...
               pos_color, ...
               neg_color, ...
               true, ...
               .05, ...
               -50:2:750);
           
end